Equipement Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Equipment and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎Türkçe • ‎українська
Arrow-left.svg Page précédente: Arch Fence.svg Clôture
Page suivante: Outils tuyauteries Arch CompPipe.png Arrow-right.svg

Arch Equipment.svg Équipement Arch

Emplacement du menu
Architecture → Équipement
Ateliers
Arch
Raccourci par défaut
E Q
Introduit dans la version
-
Voir aussi
3 views from mesh


Description

L'outil Équipement vous offre un moyen simple et pratique d'insérer des éléments autonomes, non structurels tels que des meubles, des équipements sanitaire ou appareils électriques à vos projets. Les Équipements peuvent être basés sur une forme ou un treillis Part shapes , qui leur permet de bénéficier de la solidité et des atous de la géométrie BRep, et générer de belles vues lorsqu'elles sont rendues dans le Section Plane.

Arch equipment example.jpg

Objets d'ameublement dans un oblet Arch Equipment. Les projections à plat peuvent être obtenues par l'outil Draft Shape2DView


A partir de la version 0.17, les objets d'équipement ont aussi une propriété DONNÉESHiRes où un objet Mesh peut être attaché. Les objets équipement peuvent ensuite être créés pour afficher ce maillage dans la vue 3D au lieu de leur forme, ce qui permet d'utiliser des objets maillés haute résolution tels que des meubles détaillés que l'on trouve généralement sur les sites Web.

Arch equipment mesh.jpg

Objets d'ameublement dans un objet Arch Équipement, avec un maillage haute résolution


Lors de l'utilisation de l'exportateur Arch OBJ, tous les équipements en mode d'affichage Mesh seront exportés en tant que maillage au lieu d'objet forme.

Utilisation

  1. Sélectionnez une forme Part forme, et optionnellement un objetMaillage
  2. Appuyez sur le bouton Arch Equipment.png Arch Équipement, appuyez la touche E ou alors Q

Options

  • Les équipements partagent les propriétés communes et les comportements de tous les Arch Composants

Propriétés

  • DONNÉESModèle: Une description du modèle de cet équipement.
  • DONNÉESUrl: Une URL de la page du produit, où plus d'informations sur cet équipement peut être trouvée.
  • DONNÉESMesh: Représentation de cet équipement en objet Mesh. Lorsqu'il est défini, le mode d'affichage Maillage devient disponible.

Script

Voir aussi: Arch API et FreeCAD Script de Base.

L'outil Équipement peut-être utilisé dans des macros et depuis la console Python en utilisant la fonction suivante:

Equipment = makeEquipment(baseobj=None, placement=None, name="Equipment")
  • Crée un objet Équipement à partir d'un objet de base ou un objet Part ou Mesh
  • Si un placement est donné, il sera utilisé.
  • Retourne le nouvel objet équipement, ou None si l'opération a échoué.

Exemple:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 500
Box.Width = 2000
Box.Height = 600

Equip = Arch.makeEquipment(Box)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Fence.svg Clôture
Page suivante: Outils tuyauteries Arch CompPipe.png Arrow-right.svg